-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

-- Bindings
getfenv()["BINDING_HEADER_XPORTALSBAR_TITLE"]  = "XBar";
getfenv()["BINDING_NAME_XPORTALSBAR_SHOWHIDE"] = "Show/hide XPortalsBar";

-- Traps
getfenv()["XPortalsBarSpells"] = {
	"#Teleports",
	"Teleport: Stormwind",
	"Teleport: Ironforge",
	"Teleport: Exodar",
	"Teleport: Darnassus",
	"Teleport: Orgrimmar",
	"Teleport: Undercity",
	"Teleport: Thunder Bluff",
	"Teleport: Silvermoon",
	"Teleport: Stonard",
	"Teleport: Theramore",
	"Teleport: Shattrath",
	"Teleport: Dalaran",
	" ",
	"#Portals",
	"Portal: Stormwind",
	"Portal: Ironforge",
	"Portal: Exodar",
	"Portal: Darnassus",
	"Portal: Orgrimmar",
	"Portal: Undercity",
	"Portal: Thunder Bluff",
	"Portal: Silvermoon",
	"Portal: Stonard",
	"Portal: Theramore",
	"Portal: Shattrath",
	"Portal: Dalaran",
};

local i,v,c;

-- Auto-translate the spells
if (GetLocale() ~= "enUS") and (GetLocale() ~= "enGB") then
	if getfenv()["XBARLOCALIZER"] then
		for i,v in pairs(getfenv()["XPortalsBarSpells"]) do
			c=strsub(getfenv()["XPortalsBarSpells"][i],1,1);
			if c~=" " and c~="#" then
				getfenv()["XPortalsBarSpells"][i]=XBar_BabbleSpell(getfenv()["XPortalsBarSpells"][i]);
			end
		end
	else
		DEFAULT_CHAT_FRAME:AddMessage("XBarLocalizer not loaded.");
	end
end
