-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

-- Bindings
BINDING_HEADER_XASPECTBAR_TITLE  = "XBar";
BINDING_NAME_XASPECTBAR_SHOWHIDE = "Show/hide XAspectBar";

-- Aspects
XAspectBarSpells = {
	"Aspect of the Hawk",
	"Aspect of the Monkey",
	"Aspect of the Dragonhawk",
	"Aspect of the Cheetah",
	"Aspect of the Pack",
	"Aspect of the Beast",
	"Aspect of the Wild",
	"Aspect of the Viper",
	" ",
	"Trueshot Aura",
};

local i,v;

-- Auto-translate the spells
if (GetLocale() ~= "enUS") and (GetLocale() ~= "enGB") then
	if XBARLOCALIZER then
		for i,v in pairs(XAspectBarSpells) do
			if XAspectBarSpells[i] ~= " " then
				getfenv()["XAspectBarSpells"][i]=XBar_BabbleSpell(getfenv()["XAspectBarSpells"][i]);
			end
		end
	else
		DEFAULT_CHAT_FRAME:AddMessage("XBarLocalizer not loaded.");
	end
end